Bug 1489078 (CVE-2017-12146)

Summary: CVE-2017-12146 kernel: Race condition in driver_override implementation
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, airlied, ajax, aquini, bhu, blc, bskeggs, dhoward, eparis, esammons, esandeen, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, lwang, matt, mchehab, mcressma, mguzik, mjg59, mlangsdo, nhorman, nmurray, plougher, quintela, rt-maint, rvrbovsk, slawomir, vdronov, williams, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 4.13 Doc Type: Bug Fix
Doc Text:
It was found that the driver_override implementation in base/platform.c in the Linux kernel is susceptible to race condition when different threads are reading vs storing a different driver override.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-21 16:25:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1489079, 1494199    
Bug Blocks: 1489083    

Description Adam Mariš 2017-09-06 16:10:26 UTC
It was found that the driver_override implementation in base/platform.c is susceptible to race condition when different threads are reading vs storing a different driver override.

Upstream patch:

https://github.com/torvalds/linux/commit/6265539776a0810b7ce6398c27866ddb9c6bd154

Introduced by commit:

https://github.com/torvalds/linux/commit/3d713e0e382e

Comment 1 Adam Mariš 2017-09-06 16:11:48 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1489079]

Comment 2 Adam Mariš 2017-09-06 16:48:17 UTC
External References:

https://source.android.com/security/bulletin/2017-09-01

Comment 3 Justin M. Forbes 2017-09-06 18:06:05 UTC
This was fixed in the 4.12.1 stable release and is on all currently supported Fedora releases.

Comment 7 Vladis Dronov 2017-09-21 16:24:09 UTC
Statement:

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2 as the code with the flaw is not present in the products listed.